Vinix· docs
API referenceCore APICall ControlMenus

List Menus

Sandbox is coming soon

Today, requests on this page run against your live account. A hosted sandbox with simulated PSTN is on the roadmap — until then, use a non-production user or callflow when experimenting.

Details
GET
/accounts/{account_id}/menus

Authorization

AuthToken
X-Auth-Token<token>

Obtain via PUT /v2/user_auth (user credentials) or PUT /v2/api_auth (account API key). See Authentication.

In: header

Path Parameters

account_id*string

Vinix account identifier.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/accounts/string/menus"
{
  "data": {
    "allow_record_from_offnet": false,
    "flags": [
      "string"
    ],
    "hunt": true,
    "hunt_allow": "string",
    "hunt_deny": "string",
    "interdigit_timeout": 1,
    "max_extension_length": 4,
    "media": {},
    "name": "string",
    "record_pin": "string",
    "retries": 3,
    "suppress_media": false,
    "timeout": 1
  }
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}
{
  "code": "string",
  "message": "string",
  "request_id": "string"
}